httpd-bugs mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject [Bug 57632] mod_systemd passes invalid default to APACHE_MODULE
Date Tue, 24 Feb 2015 20:42:01 GMT
https://bz.apache.org/bugzilla/show_bug.cgi?id=57632

--- Comment #2 from Pascal Terjan <pterjan@linuxfr.org> ---
Anything other than "yes|static|shared" will have the wanted effect of setting
_apmod_required="no", but "all" is not an expected value.

Other expected values are:
- "most" which only tries to enable it if "most", "all" or "reallyall" modules
are requested
- "maybe-all" which only tries to enable it if "all" or "reallyall" modules are
requested
- "no" which only tries to enable it if "reallyall" modules are requested

Everything else is not explicitely handled andjust going through the != "no".
This means in particular that it is not set to $module_default (static or
shared) but always shared.

"maybe-all" is actually what is used if an empty argument is passed, and means
"disabled under default, most. enabled explicitly or with all."

So this patch causes a change as it will not be enabled if people request
"none", "few"or "most" modules while it currently is (which seems wrong for
"none" and "few").

Changing it to "most" or "" may be better but current value is wrong.

-- 
You are receiving this mail because:
You are the assignee for the bug.

---------------------------------------------------------------------
To unsubscribe, e-mail: bugs-unsubscribe@httpd.apache.org
For additional commands, e-mail: bugs-help@httpd.apache.org


Mime
View raw message